系统要求(System Requirements)

服务器要求

为了能使Wii2能够顺利的安装和运行,我们强烈推荐您的系统符合以下要求:

项目 最低版本
PHP 7.1.0 +
Redis 2.8.23 +
MySQL 5.6.37 +

如果您选用了腾讯云的云服务器(CVM),您可以使用我们的 wii2-docker 镜像来快速搭建运行环境。

Composer 安装

Linux/Mac:

wget https://dl.laravel-china.org/composer.phar -O /usr/local/bin/composer
chmod a+x /usr/local/bin/composer

如遇权限不足,可添加 sudo。

Windows:

  1. 直接下载 composer.phar,地址:https://dl.laravel-china.org/composer.phar
  2. 把下载的 composer.phar 放到 PHP 安装目录
  3. 新建 composer.bat, 添加如下内容,并保存:
@php "%~dp0composer.phar" %*

查看当前版本

$ composer -V

升级版本

$ composer selfupdate

注意 selfupdate 升级命令会连接官方服务器,速度很慢。建议直接下载我们的 composer.phar 镜像,每天都会更新到最新。

如何使用?

请尽可能用比较新的 Composer 版本。

使用 Composer 镜像加速有两种选项:

  • 选项一:全局配置,这样所有项目都能惠及(推荐);
  • 选项二:单独项目配置;

选项一、全局配置(推荐)

$ composer config -g repo.packagist composer https://packagist.laravel-china.org

选项二、单独使用

如果仅限当前工程使用镜像,去掉 -g 即可,如下:

$ composer config repo.packagist composer https://packagist.laravel-china.org

常见问题

  1. 已存在 composer.lock 文件,先删除,再运行 composer install 重新生成。

    原因:composer.lock 缓存了之前的配置信息,从而导致新的镜像配置无效。

  2. 如何查看 composer 执行信息

    composer 命令后面加上 -vvv (是3个v)可以打印出调错信息,命令如下:

     $ composer -vvv create-project laravel/laravel blog
     $ composer -vvv require psr/log
    

results matching ""

    No results matching ""